## python-deeptools 3.3.2+ds

=== requirements.txt ===
numpy>=1.9.0
scipy>=0.17.0
matplotlib>=3.1.0
pysam>=0.14.0
py2bit>=0.2.0
numpydoc>=0.5
pyBigWig>=0.2.1
plotly>=2.0.0
deeptoolsintervals>=0.1.8

=== debian/changelog ===
python-deeptools (3.3.2+ds-2) unstable; urgency=medium

  * Team upload.
  * DEP3
  * Simplify watch file
  * Build-Depends: python3-nose
    Closes: #950911
  * Binary package is Section: python
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Feb 2020 17:28:00 +0100

python-deeptools (3.3.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #934321)

 -- Steffen Moeller <moeller@debian.org>  Thu, 23 Jan 2020 20:07:39 +0100

=== debian/control ===
Source: python-deeptools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-numpy,
               python3-scipy (>=0.17.0),
               python3-matplotlib (>=2.1.2),
               python3-pysam (>=0.14.0),
               python3-py2bit,
               python3-numpydoc,
               python3-pybigwig,
               python3-plotly (>=2.0.0),
               python3-deeptoolsintervals,
               python3-nose <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-deeptools
Vcs-Git: https://salsa.debian.org/med-team/python-deeptools.git
Homepage: https://github.com/deeptools/deepTools

Package: python3-deeptools
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy (>=0.17.0),
         python3-matplotlib (>=2.1.2),
         python3-pysam (>=0.14.0),
         python3-py2bit,
         python3-numpydoc,
         python3-pybigwig,
         python3-plotly (>=2.0.0),
         python3-deeptoolsintervals
Description: platform for exploring biological deep-sequencing data
 Aiming for compatibility with the Galaxy worklfow environment, but
 also independently contributing to a series of workflows in
 genomics, this package provides a series of tools to address
 common tasks for the processing of high-throughput DNA/RNA sequencing.

=== debian/watch ===
version=4
opts="uversionmangle=s/$/+ds/,dversionmangle=auto,compression=xz,repack" \
   https://github.com/deeptools/deepTools/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## python-deeptools 3.4.3

=== debian/changelog ===
python-deeptools (3.4.3-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 May 2020 17:35:30 +0200

python-deeptools (3.4.2-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Wed, 08 Apr 2020 12:16:44 +0200

python-deeptools (3.3.2+ds-3) unstable; urgency=medium

  [ Sao I Kuan ]
  * Team upload.
  * Add autopkgtest shell script
  * Add Testsuite: autopkgtest-pkg-python
  * Add Rules-Requires-Root: no
  * Add salsa-ci.yml

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Sao I Kuan <saoikuan@gmail.com>  Sat, 21 Mar 2020 22:53:34 +0900

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,8 @@
 Vcs-Browser: https://salsa.debian.org/med-team/python-deeptools
 Vcs-Git: https://salsa.debian.org/med-team/python-deeptools.git
 Homepage: https://github.com/deeptools/deepTools
+Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-deeptools
 Architecture: all

## python-deeptools 3.5.0

=== debian/changelog ===
python-deeptools (3.5.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Tue, 15 Sep 2020 11:10:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=deeptools

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) nosetests3 -x -v -s deeptools
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache deeptools/__pycache__

## python-deeptools 3.5.1

=== requirements.txt ===
numpy>=1.9.0
scipy>=0.17.0
matplotlib>=3.3.0
pysam>=0.14.0
py2bit>=0.2.0
numpydoc>=0.5
pyBigWig>=0.2.1
plotly>=4.9
deeptoolsintervals>=0.1.8

=== debian/changelog ===
python-deeptools (3.5.1-3) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix problems with
    numpy 1.24 (Closes: #1027225)
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Apply patches before running autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 19:33:06 +0530

python-deeptools (3.5.1-2) unstable; urgency=medium

  * d/{,t/}control: depend on pytest instead of nose. (Closes: #1018477)
  * d/{rules,t/run-unit-test}: use pytest-3 instead of nosetests3.
  * pytest.patch: add; convert tests to pytest usage.
  * d/t/run-unit-test: run against all supported py3 versions.
  * d/control: add myself to uploaders.
  * Standards-Version: 4.6.1 (routine-update)
  * d/control: reorder items (routine-update apparently).
  * d/t/control: add test dependency on python3-all.

 -- Étienne Mollier <emollier@debian.org>  Fri, 02 Dec 2022 16:44:18 +0100

python-deeptools (3.5.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.5.1
  * Update versioned B-D
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:10:18 +0530

=== debian/control ===
Source: python-deeptools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-numpy,
               python3-scipy,
               python3-matplotlib (>=3.3.0),
               python3-pysam (>=0.14.0),
               python3-py2bit,
               python3-numpydoc,
               python3-pybigwig,
               python3-plotly (>=4.9.0),
               python3-deeptoolsintervals,
               python3-pytest <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/python-deeptools
Vcs-Git: https://salsa.debian.org/med-team/python-deeptools.git
Homepage: https://github.com/deeptools/deepTools
Rules-Requires-Root: no

Package: python3-deeptools
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy,
         python3-matplotlib,
         python3-pysam (>=0.14.0),
         python3-py2bit,
         python3-numpydoc,
         python3-pybigwig,
         python3-plotly,
         python3-deeptoolsintervals
Description: platform for exploring biological deep-sequencing data
 Aiming for compatibility with the Galaxy worklfow environment, but
 also independently contributing to a series of workflows in
 genomics, this package provides a series of tools to address
 common tasks for the processing of high-throughput DNA/RNA sequencing.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) nosetests3 -x -v -s deeptools
+	PYTHONPATH=$(CURDIR) pytest-3 -v deeptools
 endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-all, quilt
Restrictions: allow-stderr

## python-deeptools 3.5.2

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
alabaster==0.7.12
    # via sphinx
babel==2.10.1
    # via sphinx
certifi==2022.12.7
    # via requests
charset-normalizer==2.0.12
    # via requests
cycler==0.11.0
    # via matplotlib
deeptoolsintervals==0.1.9
    # via -r requirements.in
docutils==0.17.1
    # via sphinx
fonttools==4.33.3
    # via matplotlib
idna==3.3
    # via requests
imagesize==1.3.0
    # via sphinx
importlib-metadata==4.11.3
    # via sphinx
jinja2==3.1.2
    # via
    #   numpydoc
    #   sphinx
kiwisolver==1.4.2
    # via matplotlib
markupsafe==2.1.1
    # via jinja2
matplotlib>=3.5<3.6
    # We're manually setting matplitlib <3.6 to avoide issue #1172
numpy==1.22.3
    # via
    #   -r requirements.in
    #   matplotlib
    #   scipy
numpydoc==1.3.1
    # via -r requirements.in
packaging==21.3
    # via
    #   matplotlib
    #   sphinx
pillow==9.3.0
    # via matplotlib
plotly==5.7.0
    # via -r requirements.in
py2bit==0.3.0
    # via -r requirements.in
pybigwig==0.3.18
    # via -r requirements.in
pygments==2.12.0
    # via sphinx
pyparsing==3.0.8
    # via
    #   matplotlib
    #   packaging
pysam==0.19.0
    # via -r requirements.in
python-dateutil==2.8.2
    # via matplotlib
pytz==2022.1
    # via babel
requests==2.27.1
    # via sphinx
scipy==1.8.0
    # via -r requirements.in
six==1.16.0
    # via
    #   plotly
    #   python-dateutil
snowballstemmer==2.2.0
    # via sphinx
sphinx==4.5.0
    # via numpydoc
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
tenacity==8.0.1
    # via plotly
urllib3==1.26.9
    # via requests
zipp==3.8.0
    # via importlib-metadata

=== debian/changelog ===
python-deeptools (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * d/control: cleanup obsolete package versions.
  * numpy-1.24.patch: refresh.
  * pytest.patch: unfuzz.
  * python2to3_for_executables.patch: unfuzz.
  * python2to3_for_executables.patch: update.
    Adjust also newly introduced files.
  * d/s/lintian-overrides: remove.
    The source-missing flag was not raised as the affected files are
    already excluded.

 -- Étienne Mollier <emollier@debian.org>  Sat, 17 Jun 2023 11:17:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                python3-setuptools,
                python3-numpy,
                python3-scipy,
-               python3-matplotlib (>=3.3.0),
-               python3-pysam (>=0.14.0),
+               python3-matplotlib,
+               python3-pysam,
                python3-py2bit,
                python3-numpydoc,
                python3-pybigwig,
-               python3-plotly (>=4.9.0),
+               python3-plotly,
                python3-deeptoolsintervals,
                python3-pytest <!nocheck>
 Standards-Version: 4.6.2
@@ -33,7 +33,7 @@
          python3-numpy,
          python3-scipy,
          python3-matplotlib,
-         python3-pysam (>=0.14.0),
+         python3-pysam,
          python3-py2bit,
          python3-numpydoc,
          python3-pybigwig,

## python-deeptools 3.5.4+dfsg

=== debian/changelog ===
python-deeptools (3.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/watch: add +dfsg repack suffix.
    This is preferable as documentation has been removed in the past, due
    to the presence of minified javascript missing its corresponding
    source.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * tmp_inhibit_test_readFiltering.patch: refresh.
  * python2to3_for_executables.patch: refresh.
  * pytest.patch: delete: applied upstream.
  * numpy-1.24.patch: delete: applied upstream.
  * g/control: build depends on pybuild-plugin-pyproject.
  * d/rules: defer test override to pybuild envvars.
  * d/{rules,clean}: declare files cleanup instead of scripting.
  * d/control: enable autopkgtest-pkg-pybuild.
  * d/tests/: delete: deferred to autopkgtest-pkg-pybuild.

 -- Étienne Mollier <emollier@debian.org>  Mon, 18 Dec 2023 11:17:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-numpy,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=deeptools
export PYBUILD_TEST_ARGS=-v $(CURDIR)/deeptools/

%:
	dh $@ --buildsystem=pybuild

## python-deeptools 3.5.5+dfsg

=== debian/changelog ===
python-deeptools (3.5.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.5.5+dfsg
  * python2to3_for_executables.patch: account for deepBlue removal.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sun, 12 May 2024 19:49:09 +0200

## python-deeptools 3.5.6+dfsg

=== debian/changelog ===
python-deeptools (3.5.6+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.5.6+dfsg (Closes: #1095088)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 22:00:59 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-plotly,
                python3-deeptoolsintervals,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-deeptools
 Vcs-Git: https://salsa.debian.org/med-team/python-deeptools.git
 Homepage: https://github.com/deeptools/deepTools

=== debian/watch ===
version=4
opts="\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-deeptools-$1.tar.gz%,\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//g\
" \
   https://github.com/deeptools/deepTools/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
